Bug 732157 - Emacs stuck in infinite loop and eats up all RAM
Emacs stuck in infinite loop and eats up all RAM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: emacs (Show other bugs)
6.0
All Linux
urgent Severity urgent
: rc
: 6.3
Assigned To: Karel Klíč
BaseOS QE Security Team
: ZStream
: 747652 (view as bug list)
Depends On:
Blocks: 769673
  Show dependency treegraph
 
Reported: 2011-08-20 00:30 EDT by T Meyarivan
Modified: 2012-11-06 07:34 EST (History)
16 users (show)

See Also:
Fixed In Version: emacs-23.1-22.el6
Doc Type: Bug Fix
Doc Text:
Emacs did not properly terminate if it was started remotely and the remote client session was closed while Emacs was suspended. Under these conditions, Emacs entered an infinite loop in the code and gradually consumed all available computer resources, which caused the system to become unstable. With this update, Emacs has been modified, and it now terminates correctly when the remote session is closed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 08:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.32 KB, patch)
2011-10-13 10:52 EDT, Karel Klíč
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 63345 None None None Never

  None (edit)
Description T Meyarivan 2011-08-20 00:30:28 EDT
Description of problem:

If my interactive SSH connection is destroyed (timeout, ... ) while my remote emacs is suspended, emacs ends up in an infinite loop and uses up all RAM on the host.
 
Version-Release number of selected component (if applicable):

emacs-nox-23.1-21.el6.x86_64
emacs-common-23.1-21.el6.x86_64

How reproducible:

Every time during the past 20 times, on different machines which same distro.

Steps to Reproduce:
1. SSH into another host running RHEL6
2. Start editing a file using "emacs -nw .... "
3. Suspend the editor using "Ctrl-Z"
4. Kill the SSH session using "kill pid_of_ssh"
5. SSH into the host and watch emacs eat up all the RAM

Actual results:

Emacs eats up all the RAM on the host.

Expected results:

Emacs should catch SIGHUP and quit.


Additional info:

- strace of emacs once it is stuck

...
kill(1486, SIGHUP)                      = 0
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffdd7d65d0) = -1 EIO (Input/output error)
ioctl(3, SNDCTL_TMR_STOP or TCSETSW, {B0 -opost -isig -icanon -echo ...}) = -1 EIO (Input/output error)
write(3, "\7", 1)                       = -1 EIO (Input/output error)
rt_sigprocmask(SIG_BLOCK, [IO], [HUP TERM IO], 8) = 0
ioctl(3, FIONREAD, [1073741824])        = -1 EIO (Input/output error)
kill(1486, SIGHUP)                      = 0
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffdd7d65d0) = -1 EIO (Input/output error)
ioctl(3, SNDCTL_TMR_STOP or TCSETSW, {B0 -opost -isig -icanon -echo ...}) = -1 EIO (Input/output error)
write(3, "\7", 1)                       = -1 EIO (Input/output error)
rt_sigprocmask(SIG_BLOCK, [IO], [HUP TERM IO], 8) = 0
ioctl(3, FIONREAD, [1073741824])        = -1 EIO (Input/output error)
kill(1486, SIGHUP)                      = 0
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffdd7d65d0) = -1 EIO (Input/output error)
ioctl(3, SNDCTL_TMR_STOP or TCSETSW, {B0 -opost -isig -icanon -echo ...}) = -1 EIO (Input/output error)
write(3, "\7", 1)                       = -1 EIO (Input/output error)
brk(0x5533c000)                         = 0x5533c000
rt_sigprocmask(SIG_BLOCK, [IO], [HUP TERM IO], 8) = 0
ioctl(3, FIONREAD, [1073741824])        = -1 EIO (Input/output error)
kill(1486, SIGHUP)                      = 0
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffdd7d65d0) = -1 EIO (Input/output error)
ioctl(3, SNDCTL_TMR_STOP or TCSETSW, {B0 -opost -isig -icanon -echo ...}) = -1 EIO (Input/output error)
write(3, "\7", 1)                       = -1 EIO (Input/output error)
rt_sigprocmask(SIG_BLOCK, [IO], [HUP TERM IO], 8) = 0
ioctl(3, FIONREAD, [1073741824])        = -1 EIO (Input/output error)
kill(1486, SIGHUP)                      = 0
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffdd7d65d0) = -1 EIO (Input/output error)
ioctl(3, SNDCTL_TMR_STOP or TCSETSW, {B0 -opost -isig -icanon -echo ...}) = -1 EIO (Input/output error)
write(3, "\7", 1)                       = -1 EIO (Input/output error)
rt_sigprocmask(SIG_BLOCK, [IO], [HUP TERM IO], 8) = 0
ioctl(3, FIONREAD, [1073741824])        = -1 EIO (Input/output error)
kill(1486, SIGHUP)                      = 0
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffdd7d65d0) = -1 EIO (Input/output error)
ioctl(3, SNDCTL_TMR_STOP or TCSETSW, {B0 -opost -isig -icanon -echo ...}) = -1 EIO (Input/output error)
write(3, "\7", 1)                       = -1 EIO (Input/output error)
rt_sigprocmask(SIG_BLOCK, [IO], [HUP TERM IO], 8) = 0
ioctl(3, FIONREAD, [1073741824])        = -1 EIO (Input/output error)
kill(1486, SIGHUP)                      = 0
...

- Output of 'ps xuaw | grep emacs ..':

#started editing in emacs

Fri Aug 19 21:22:10 PDT 2011 tmary 6067 4.0 0.0 130216 9804 pts/1 R+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:10 PDT 2011 tmary 6067 5.0 0.0 130216 10264 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:10 PDT 2011 tmary 6067 7.0 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:10 PDT 2011 tmary 6067 7.0 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:10 PDT 2011 tmary 6067 7.0 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:10 PDT 2011 tmary 6067 7.0 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:11 PDT 2011 tmary 6067 3.5 0.0 130352 10720 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 2.6 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:12 PDT 2011 tmary 6067 3.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.2 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:13 PDT 2011 tmary 6067 2.5 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:14 PDT 2011 tmary 6067 2.0 0.0 130352 10812 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 D+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:15 PDT 2011 tmary 6067 1.6 0.0 130352 10816 pts/1 S+ 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:16 PDT 2011 tmary 6067 1.4 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:17 PDT 2011 tmary 6067 1.2 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:18 PDT 2011 tmary 6067 1.1 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 1.0 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:19 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:20 PDT 2011 tmary 6067 0.9 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:21 PDT 2011 tmary 6067 0.8 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:22 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 0.7 0.0 130352 10816 pts/1 T 21:22 0:00 emacs -nw /tmp/abcd

#ssh connection was destroyed

Fri Aug 19 21:22:23 PDT 2011 tmary 6067 1.0 0.0 133376 13888 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:23 PDT 2011 tmary 6067 2.0 0.1 142420 22900 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 2.6 0.1 151452 31916 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 3.6 0.2 160492 40940 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 4.4 0.2 165304 45876 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 5.2 0.2 165304 45876 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 6.0 0.2 165304 45876 ? R 21:22 0:00 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 6.9 0.2 165304 45876 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 7.7 0.2 168880 49376 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:24 PDT 2011 tmary 6067 8.6 0.3 177932 58448 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 8.8 0.4 186984 67524 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 9.6 0.4 196048 76560 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 10.4 0.5 204964 85476 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 11.2 0.5 214032 94528 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 12.0 0.6 223088 103548 ? R 21:22 0:01 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 12.8 0.6 232004 112556 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:25 PDT 2011 tmary 6067 13.6 0.7 241056 121556 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 13.5 0.7 250092 130628 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 14.2 0.8 259148 139664 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 15.0 0.9 268200 148668 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 15.8 0.9 277116 157684 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 16.5 1.0 286016 166496 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 17.2 1.0 295088 175552 ? R 21:22 0:02 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 18.0 1.1 304160 184624 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:26 PDT 2011 tmary 6067 18.8 1.1 313228 193712 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 18.4 1.2 322164 202716 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 19.1 1.2 331200 211768 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 19.8 1.3 340388 220892 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 20.5 1.3 349452 229984 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 21.2 1.4 358620 239100 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 22.0 1.5 367676 248176 ? R 21:22 0:03 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 22.7 1.5 376728 257228 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:27 PDT 2011 tmary 6067 23.4 1.6 385780 266248 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 22.8 1.6 394816 275352 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 23.5 1.7 403888 284420 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 24.2 1.7 412940 293456 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 24.8 1.8 422012 302460 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 25.5 1.8 431088 311536 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 26.2 1.9 440024 320588 ? R 21:22 0:04 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 26.8 2.0 449092 329640 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:28 PDT 2011 tmary 6067 27.5 2.0 458164 338712 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 26.8 2.1 467372 347832 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 27.4 2.1 476440 356924 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 28.1 2.2 485496 365944 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 28.7 2.2 494548 375012 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 29.3 2.3 503616 384068 ? R 21:22 0:05 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 30.0 2.3 512536 393068 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 30.6 2.4 521604 402108 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:29 PDT 2011 tmary 6067 31.3 2.4 530684 411160 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 30.3 2.5 539756 420216 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 31.0 2.6 548824 429308 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 31.5 2.6 557896 438360 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 32.1 2.7 566828 447380 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 32.8 2.7 575884 456432 ? R 21:22 0:06 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 33.4 2.8 584936 465436 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 34.0 2.8 594004 474472 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:30 PDT 2011 tmary 6067 34.6 2.9 603060 483596 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 33.6 2.9 612096 492644 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 34.1 3.0 621292 501736 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 34.8 3.1 630344 510808 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 35.4 3.1 639384 519880 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 36.0 3.2 648436 528988 ? R 21:22 0:07 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 36.5 3.2 657472 538040 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:31 PDT 2011 tmary 6067 37.1 3.3 666540 547076 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 36.0 3.3 675612 556164 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 36.6 3.4 684684 565184 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 37.1 3.4 693752 574268 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 37.7 3.5 702824 583376 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 38.3 3.5 712020 592464 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 38.8 3.6 721072 601592 ? R 21:22 0:08 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 39.4 3.7 730144 610660 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:32 PDT 2011 tmary 6067 39.9 3.7 739180 619716 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 38.8 3.8 748232 628768 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 39.3 3.8 757268 637804 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 39.8 3.9 766444 646924 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 40.4 3.9 775520 655976 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 40.9 4.0 784428 664984 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 41.5 4.0 793644 674144 ? R 21:22 0:09 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 42.0 4.1 802852 683300 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:33 PDT 2011 tmary 6067 42.5 4.2 811784 692336 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 41.3 4.2 820820 701352 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 41.8 4.3 829876 710392 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 42.4 4.3 838944 719444 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 42.8 4.4 847996 728496 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 43.4 4.4 857052 737532 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 43.8 4.5 866104 746572 ? R 21:22 0:10 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 44.4 4.5 875164 755644 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:34 PDT 2011 tmary 6067 44.9 4.6 884200 764744 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 43.6 4.7 893392 773892 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 44.1 4.7 902444 782892 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 44.6 4.8 911516 791964 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 45.1 4.8 920312 800812 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 45.6 4.9 929244 809816 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 46.1 4.9 938316 818884 ? R 21:22 0:11 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 46.6 5.0 947352 827920 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:35 PDT 2011 tmary 6067 47.0 5.0 956408 836972 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 45.8 5.1 965596 846060 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 46.3 5.1 974532 855100 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 46.7 5.2 983744 864228 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 47.2 5.3 992816 873312 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 47.7 5.3 1001884 882400 ? R 21:22 0:12 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 48.2 5.4 1010956 891520 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 48.7 5.4 1020160 900628 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:36 PDT 2011 tmary 6067 49.1 5.5 1029216 909732 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 47.8 5.5 1038268 918840 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 48.3 5.6 1047448 927948 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 48.7 5.6 1056504 937036 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 49.2 5.7 1065556 946088 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 49.6 5.8 1074608 955176 ? R 21:22 0:13 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 50.1 5.8 1083780 964264 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:37 PDT 2011 tmary 6067 50.6 5.9 1092832 973368 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 49.2 5.9 1101904 982420 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 49.7 6.0 1110976 991496 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 50.1 6.0 1120036 1000588 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 50.6 6.1 1129224 1009680 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 51.0 6.1 1138296 1018760 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 51.4 6.2 1147348 1027848 ? R 21:22 0:14 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 51.9 6.2 1156404 1036920 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:38 PDT 2011 tmary 6067 52.3 6.3 1165440 1045988 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 51.0 6.4 1174628 1055076 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 51.5 6.4 1183688 1064152 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 51.9 6.5 1192724 1073248 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 52.3 6.5 1201916 1082380 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 52.7 6.6 1210968 1091468 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 53.2 6.6 1220312 1100828 ? R 21:22 0:15 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 53.6 6.7 1229348 1109900 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:39 PDT 2011 tmary 6067 54.0 6.7 1238544 1119064 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 52.7 6.8 1247596 1128148 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 53.1 6.9 1256804 1137268 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 53.5 6.9 1265856 1146340 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 53.9 7.0 1274892 1155392 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 54.3 7.0 1283932 1164412 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 54.7 7.1 1293000 1173516 ? R 21:22 0:16 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 55.1 7.1 1302196 1182644 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:40 PDT 2011 tmary 6067 55.6 7.2 1311252 1191704 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 54.2 7.2 1320288 1200804 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 54.6 7.3 1329340 1209888 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 55.0 7.4 1338512 1219012 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 55.4 7.4 1347568 1228084 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 55.8 7.5 1356620 1237152 ? R 21:22 0:17 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 56.2 7.5 1365816 1246260 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 56.6 7.6 1374888 1255420 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:41 PDT 2011 tmary 6067 57.0 7.6 1383956 1264508 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 55.7 7.7 1393028 1273596 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 56.1 7.7 1402100 1282616 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 56.5 7.8 1411168 1291668 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 56.9 7.8 1420240 1300756 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 57.3 7.9 1429308 1309792 ? R 21:22 0:18 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 57.6 8.0 1438344 1318880 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:42 PDT 2011 tmary 6067 58.0 8.0 1447544 1327988 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 56.7 8.1 1456460 1337024 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 57.1 8.1 1465532 1346048 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 57.4 8.2 1474584 1355068 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 57.8 8.2 1483636 1364100 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 58.2 8.3 1492672 1373140 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 58.5 8.3 1501588 1382160 ? R 21:22 0:19 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 58.9 8.4 1510644 1391192 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:43 PDT 2011 tmary 6067 59.3 8.5 1519696 1400232 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 58.0 8.5 1528732 1409248 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 58.4 8.6 1537784 1418304 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 58.7 8.6 1546856 1427388 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 59.1 8.7 1555908 1436436 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 59.4 8.7 1564940 1445488 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 59.8 8.8 1574008 1454576 ? R 21:22 0:20 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 60.2 8.8 1583180 1463680 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:44 PDT 2011 tmary 6067 60.5 8.9 1592232 1472800 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 59.2 8.9 1601284 1481856 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 59.6 9.0 1610356 1490924 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 59.9 9.1 1619544 1500028 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 60.3 9.1 1628616 1509120 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 60.6 9.2 1637676 1518144 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 61.0 9.2 1646732 1527196 ? R 21:22 0:21 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 61.3 9.3 1655800 1536264 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:45 PDT 2011 tmary 6067 61.7 9.3 1664836 1545316 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 60.4 9.4 1673892 1554372 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 60.7 9.4 1682944 1563476 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 61.0 9.5 1692116 1572580 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 61.4 9.6 1701168 1581668 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 61.7 9.6 1710224 1590688 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 62.1 9.7 1719300 1599744 ? R 21:22 0:22 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 62.4 9.7 1728236 1608780 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:46 PDT 2011 tmary 6067 62.8 9.8 1737304 1617856 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 61.5 9.8 1746476 1626940 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 61.8 9.9 1755532 1636028 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 62.1 9.9 1763368 1643816 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 62.4 10.0 1772420 1652884 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 62.7 10.0 1781456 1661936 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 63.1 10.1 1790512 1671044 ? R 21:22 0:23 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 63.4 10.2 1799684 1680132 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:47 PDT 2011 tmary 6067 63.7 10.2 1808736 1689200 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 62.4 10.3 1817788 1698236 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 62.8 10.3 1826844 1707292 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 63.1 10.4 1835776 1716348 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 63.4 10.4 1844856 1725368 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 63.8 10.5 1853924 1734420 ? R 21:22 0:24 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 64.1 10.5 1862996 1743492 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:48 PDT 2011 tmary 6067 64.4 10.6 1872064 1752560 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 63.1 10.6 1881136 1761616 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 63.5 10.7 1890204 1770656 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 63.8 10.8 1899140 1779676 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 64.1 10.8 1908212 1788712 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 64.4 10.9 1917264 1797748 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 64.7 10.9 1926316 1806800 ? R 21:22 0:25 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 65.0 11.0 1935372 1815892 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:49 PDT 2011 tmary 6067 65.4 11.0 1944448 1824928 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 64.1 11.1 1953376 1833928 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 64.4 11.1 1962452 1842984 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 64.7 11.2 1971524 1852040 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 65.0 11.3 1980592 1861128 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 65.3 11.3 1989648 1870196 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 65.7 11.4 1998852 1879368 ? R 21:22 0:26 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 66.0 11.4 2007908 1888424 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:50 PDT 2011 tmary 6067 66.3 11.5 2016960 1897444 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 65.0 11.5 2025896 1906444 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 65.3 11.6 2035060 1915504 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 65.6 11.6 2044112 1924556 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 65.9 11.7 2053164 1933608 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 66.2 11.7 2062200 1942656 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 66.5 11.8 2070984 1951544 ? R 21:22 0:27 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 66.9 11.9 2081268 1961836 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:51 PDT 2011 tmary 6067 67.1 11.9 2090336 1970872 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 65.9 12.0 2099408 1979908 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 66.2 12.0 2108480 1988984 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 66.5 12.1 2117412 1997948 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 66.8 12.1 2126612 2007076 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 67.1 12.2 2135680 2016148 ? R 21:22 0:28 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 67.4 12.2 2144732 2025216 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:52 PDT 2011 tmary 6067 67.7 12.3 2153772 2034304 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 66.4 12.4 2162824 2043356 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 66.7 12.4 2171876 2052376 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 67.0 12.5 2180912 2061428 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 67.3 12.5 2189968 2070448 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 67.6 12.6 2199020 2079484 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 67.9 12.6 2207952 2088488 ? R 21:22 0:29 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 68.2 12.7 2217024 2097540 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:53 PDT 2011 tmary 6067 68.5 12.7 2226096 2106580 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 67.2 12.8 2235140 2115632 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 67.5 12.9 2244208 2124720 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 67.8 12.9 2253400 2133880 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 68.1 13.0 2262452 2142968 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 68.4 13.0 2271524 2152020 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 68.6 13.1 2280576 2161076 ? R 21:22 0:30 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 68.9 13.1 2289628 2170128 ? R 21:22 0:31 emacs -nw /tmp/abcd
Fri Aug 19 21:22:54 PDT 2011 tmary 6067 69.2 13.2 2298680 2179148 ? R 21:22 0:31 emacs -nw /tmp/abcd
Fri Aug 19 21:22:55 PDT 2011 tmary 6067 68.0 13.2 2307720 2188188 ? R 21:22 0:31 emacs -nw /tmp/abcd
....

-
Comment 2 RHEL Product and Program Management 2011-08-20 00:47:51 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 T Meyarivan 2011-08-26 08:54:16 EDT
This bug seems similar to http://debbugs.gnu.org/cgi-bin/bugreport.cgi?bug=4970


-

A simple fix to avoid rapid memory consumption is setting ring-bell-function to 'ignore (it still consumes a single CPU - but doesn't trash other processes)

--
Comment 5 Aaron Knister 2011-09-08 22:14:17 EDT
This issue has resulted in a number of after-hours pages to sysadmins. Why couldn't a fix be back ported? Leaving this issue unadressed in RHEL6 would be disappointing!

(In reply to comment #2)
> This request was evaluated by Red Hat Product Management for
> inclusion in the current release of Red Hat Enterprise Linux.
> Because the affected component is not scheduled to be updated
> in the current release, Red Hat is unfortunately unable to
> address this request at this time. Red Hat invites you to
> ask your support representative to propose this request, if
> appropriate and relevant, in the next release of Red Hat
> Enterprise Linux. If you would like it considered as an
> exception in the current release, please ask your support
> representative.
Comment 6 Aaron Knister 2011-09-10 15:15:31 EDT
I've found and tested a patch to fix this bug which.

The patch is included in Emacs 23.2a and applies cleanly to the 23.1 code (other than the ChangeLog rejections which is to be expected). I tested a build with the patch 15 times in a row and could not reproduce the previously described infinite loop of memory consumption.

I've included a link to the bug report [1] as well as the GIT commitdiff for the fix [2].

[1] - http://debbugs.gnu.org/cgi-bin/bugreport.cgi?bug=4970
[2] - http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-23&id=1857569af70493e9dcd446c8bfb029096b355593

*Please* release an updated emacs that includes this fix :)

Thanks!
Comment 7 Karel Klíč 2011-10-13 10:52:51 EDT
Created attachment 528044 [details]
Proposed patch

Thank you. I have tested the patch and it works well.
Comment 8 Christian Horn 2011-10-24 10:30:25 EDT
Another workaround maybe relevant for some folks is to wrap the emacs session in a screen session.

When the ssh session is killed the screen session stays alive.
Comment 9 Christian Horn 2011-10-24 11:23:10 EDT
On shell servers ulimit could help to at least restrict the memory emacs can use up.
Comment 11 Christian Horn 2011-10-25 11:50:02 EDT
Is it possible to get a testpackage including the proposed patch so the customer can verify it?

With this verification we will request 6.1.z then.
Comment 13 Christian Horn 2011-10-26 08:59:30 EDT
Thanks, are we allowed to provide that to the customer as testpackage?
Comment 14 Karel Klíč 2011-10-26 09:10:29 EDT
*** Bug 747652 has been marked as a duplicate of this bug. ***
Comment 16 Christian Horn 2011-10-26 10:14:08 EDT
Thanks, testpackages handed out.

Was now made aware that we can hand these out without further approvals to partners atleast, while reminding of the status as 'testpackage' and that no further testing has been done with the package.
Comment 17 Christian Horn 2011-10-28 05:46:24 EDT
Could we get acks on this one?
Comment 18 Ari Lemmke 2011-11-08 17:18:08 EST
What's the status of this bug?

Has caused lots of trouble.
Comment 19 Christian Horn 2011-11-09 03:06:47 EST
My customer is still testing.

Another possible workaround: installation of the emacs package instead of emacs-nox.  The only downside I see is increased ressource consumption, and pulling in more dependencies.
Comment 20 Christian Horn 2011-11-09 05:24:29 EST
Customer verified the scratch build from above fixes the problem.

Investigating now if using package 'emacs' is an option with the customer.
Comment 22 Ari Lemmke 2011-11-09 05:46:52 EST
Normally the first thing I do is yum remove emacs; yum install emacs-nox.

But it could be done through a wrapper in ~/bin/emacs like exec /usr/bin/emacs -nw $@
Comment 29 Miroslav Svoboda 2012-01-09 07:23:34 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Emacs did not properly terminate if it was started remotely and the remote client session was closed while Emacs was suspended. Under these conditions, Emacs entered an infinite loop in the code and gradually consumed all available computer resources, which caused the system to become unstable. With this update, Emacs has been modified, and it now terminates correctly when the remote session is closed.
Comment 30 Brian Smith 2012-02-15 11:55:56 EST
This was plaguing us, too.  I'm baffled that this is now 6 months old and still not an errata.
Comment 31 J.H.M. Dassen (Ray) 2012-02-15 12:13:15 EST
(In reply to comment #30)
> I'm baffled that this is now 6 months old and still not an errata.

For RHEL6.2, this issue has been addressed through
<http://rhn.redhat.com/errata/RHBA-2012-0042.html> issued on 2012-01-23, as covered in <https://access.redhat.com/kb/docs/DOC-69626>.

This bug here just tracks the inclusion of that fix into RHEL6.3.
Comment 32 Brian Smith 2012-02-15 12:58:55 EST
Thanks!  Guess I missed that one.
Comment 33 Ari Lemmke 2012-02-15 16:11:50 EST
Have killed lots of important machines due this bug. Machines running data bases, RHEV managers, important virtual machines, IPA server, and even VPN machines running the one and only management link to a customer - power button rules!

Hee hee...

Please fix this bug.

Thanks,

//arl
Comment 34 J.H.M. Dassen (Ray) 2012-02-15 16:22:46 EST
(In reply to comment #33)
> Please fix this bug.

Please read comment #31.
Comment 35 Ari Lemmke 2012-02-15 16:36:48 EST
Have already installed _2.1 rpms to most of the systems.

Huh .. at the moment of writing realized customer's main nfs server ..

Sorry for over dramatizing.

//arl
Comment 36 Ari Lemmke 2012-02-15 16:44:13 EST
Have to mention - have been BOFH for 27 years, and this bug has been
most devastating/caused more problems/corruption than have managed to do
in my whole career.

(Have seen these kind of "features" during the '80s - emacs already had this
bug - think it was something like 1988, when it did not notice HUP and
started to eat system resources, before that ~1986 it did not notice HUP and
one could have same pty when using telnet, i.e. ending up to someone else's emacs
session).

//arl
Comment 39 Jiri Pallich 2012-10-09 08:42:32 EDT
Since this is a parent bug of an issue that has already been released via Z-Stream (e.g. rhel-6.3.z), this bug is going to be CLOSED as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.